> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-platform/_mcp/server.

# List Fileset Files

GET /apis/files/v2/workspaces/{workspace}/filesets/{name}/files

List Files in Fileset.

Returns a list of files stored in the specified fileset.
Optionally filter by path prefix to list files under a specific directory.

Each file includes a cache_status field:
- "not_cacheable": File is on default storage, caching not applicable
- "cached": File exists in cache storage
- "caching": File is currently being downloaded and cached
- "not_cached": File not in cache, will be cached on next download
- null: External storage, but cache status not checked (use include_cache_status=true)

Reference: https://docs.nvidia.com/nemo-platform/nemo-platform/v0.3.0/documentation/reference/api-reference/files/list-fileset-files-apis-files-v-2-workspaces-workspace-filesets-name-files-get

## Request

### Path parameters

- `workspace` (string, required)
- `name` (string, required)

### Query parameters

- `path` (string, optional) — Filter files by path prefix
- `include_cache_status` (boolean, optional, default: false) — Check and return cache status for each file. When false, storage files return null for cache_status.

## Response

### 200

Successful Response

- `data` (list of object, required)
  - `file_ref` (string, required)
  - `file_url` (string, required)
  - `path` (string, required)
  - `size` (integer, required)
  - `cache_status` (enum, optional) — Cache status for files in external storage backends.
    - Allowed values: `cached`, `caching`, `not_cached`, `not_cacheable`

## Examples

**Response**

```json
{
  "data": [
    {
      "file_ref": "string",
      "file_url": "string",
      "path": "string",
      "size": 1,
      "cache_status": "cached"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/apis/files/v2/workspaces/workspace/filesets/name/files"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.example.com/apis/files/v2/workspaces/workspace/filesets/name/files';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/apis/files/v2/workspaces/workspace/filesets/name/files"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/apis/files/v2/workspaces/workspace/filesets/name/files")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/apis/files/v2/workspaces/workspace/filesets/name/files")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/apis/files/v2/workspaces/workspace/filesets/name/files');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/apis/files/v2/workspaces/workspace/filesets/name/files");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/apis/files/v2/workspaces/workspace/filesets/name/files")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```